[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageListResolution.GetFullBitmap

Gets a bitmap representing all images in the resolution.

## Declaration

Source position: imglist.pp line 158

`public procedure TCustomImageListResolution.GetFullBitmap(`
`Image: TCustomBitmap;`
`AEffect: TGraphicsDrawEffect = gdeNormal`
`);`

## Arguments

`Image` |  | Bitmap image with the combined images for the resolution.
`AEffect` |  | Drawing effect applied to images and stored in the bitmap.

## Description

GetFullBitmap is a procedure used to get a bitmap that contains all of the images stored in the resolution.

Image is a TCustomBitmap descendant where image data is stored in the method.

AEffect contains a value from the TGraphicsDrawEffect enumeration that indicates a drawing effect applied to the raw image data, and stored in the bitmap. Values in AEffect determine whether the images are rendered normally, as a disabled (or grayed) image, highlighted, shadowed, or as a monochrome bitmap mask.

GetFullBitmap creates a temporary TRawImage class instance that is used to get the 32-bit RGBA raw image data, and to apply the drawing effect in AEffect. For platforms or widgetsets that do not support 32-bit image data, a device image is used to get the pixel content for the image.

The vertical size in Image is determined by the Height property. The horizontal size in Image is set to Width * Count.

No actions are performed in the method when Count contains 0 (zero), or Image has not been assigned (contains Nil).